﻿# size of input accepted by server
INPUT = 500
# size of buffer in vulnerable function
BUFF = 100

# SHOW_FP is used (not) to show frame pointer (FP).
# SHOW_BA is used (not) to show buffer address (BA).

all: server stack stack_bruteforce

server: server.c
	gcc -o server server.c

stack: stack.c
	gcc  -DBUF_SIZE=$(BUFF) -DINPUT_SIZE=$(INPUT) -o stack -z execstack -fno-stack-protector -static stack.c -g  -m32 


stack_bruteforce: stack_bruteforce.c
	gcc  -DBUF_SIZE=$(BUFF) -DINPUT_SIZE=$(INPUT) -o stack_bruteforce -z execstack -fno-stack-protector -static stack_bruteforce.c -g  -m32 



